View Issue Details

IDProjectCategoryView StatusLast Update
0004171FreeCADFeaturepublic2020-04-12 17:31
Reporterchrisb Assigned Toyorik  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.19 
Summary0004171: Preferences for Maximum mesh deviation should not be settable to 0.0
Description"Preferences -> Import/Export -> Mesh Formats -> Maximum mesh deviation" can be set to 0.0. This makes FreeCAD hang. see forum topic.
At least a Warning should be issued.
TagsNo tags attached.
FreeCAD InformationOS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17681 (Git)
Build type: Release
Branch: master
Hash: e94af7ff5e873f263cac51d7d47df68eca183250
Python version: 3.7.3
Qt version: 5.9.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

Activities

openBrain

2020-04-08 10:16

developer   ~0014332

https://github.com/FreeCAD/FreeCAD/pull/3323

yorik

2020-04-12 17:31

administrator   ~0014338

Fix committed to master branch.

Related Changesets

FreeCAD: master e6a7f826

2020-04-08 10:14:19

0penBrain


Committer: yorik Details Diff
[Mesh] Deviation preference can't be 0 ; fixes 0004171

Prevent user to involuntarily set deviation value to 0 which makes FC to lag
https://forum.freecadweb.org/viewtopic.php?f=3&t=40214
Affected Issues
0004171
mod - src/Mod/Mesh/Gui/DlgSettingsImportExport.ui Diff File

Issue History

Date Modified Username Field Change
2019-10-21 20:55 chrisb New Issue
2020-04-08 10:16 openBrain Assigned To => openBrain
2020-04-08 10:16 openBrain Status new => assigned
2020-04-08 10:16 openBrain Note Added: 0014332
2020-04-12 17:31 yorik Changeset attached => FreeCAD master e6a7f826
2020-04-12 17:31 yorik Note Added: 0014338
2020-04-12 17:31 yorik Assigned To openBrain => yorik
2020-04-12 17:31 yorik Status assigned => closed
2020-04-12 17:31 yorik Resolution open => fixed